-- MySQL Script generated by MySQL Workbench
-- Thu Oct  7 19:42:48 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `mydb` DEFAULT CHARACTER SET utf8 ;
-- -----------------------------------------------------
-- Schema new_schema1
-- -----------------------------------------------------
USE `mydb` ;

-- -----------------------------------------------------
-- Table `mydb`.`Proyectos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Proyectos` (
  `idProyectos` INT NOT NULL AUTO_INCREMENT,
  `Nombre del Proyecto` VARCHAR(45) NOT NULL,
  `Tipo de Proyecto` VARCHAR(45) NOT NULL,
  `Ciudad` VARCHAR(45) NOT NULL,
  `Fecha de Inicio` DATE NOT NULL,
  `Autor` VARCHAR(45) NOT NULL,
  `Estado` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idProyectos`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Usuarios`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Usuarios` (
  `idUsuario` INT NOT NULL,
  `Nombre` VARCHAR(16) NOT NULL,
  `Contraseña` VARCHAR(45) NOT NULL,
  `Edad` INT NOT NULL,
  `Fecha de Nacimiento` DATE NOT NULL,
  `Celular` INT NOT NULL,
  `Ciudad` VARCHAR(45) NOT NULL,
  `Direccion` VARCHAR(45) NOT NULL,
  `Proyectos_idProyectos1` INT NOT NULL,
  PRIMARY KEY (`idUsuario`, `Proyectos_idProyectos1`),
  INDEX `fk_Usuarios_Proyectos1_idx` (`Proyectos_idProyectos1` ASC) VISIBLE,
  CONSTRAINT `fk_Usuarios_Proyectos1`
    FOREIGN KEY (`Proyectos_idProyectos1`)
    REFERENCES `mydb`.`Proyectos` (`idProyectos`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `mydb`.`PerfilUsuario`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`PerfilUsuario` (
  `idPerfilUsuario` INT NOT NULL,
  `Perfil` VARCHAR(45) NOT NULL,
  `Usuarios_idUsuario` INT NOT NULL,
  PRIMARY KEY (`idPerfilUsuario`, `Usuarios_idUsuario`),
  INDEX `fk_PerfilUsuario_Usuarios1_idx` (`Usuarios_idUsuario` ASC) VISIBLE,
  CONSTRAINT `fk_PerfilUsuario_Usuarios1`
    FOREIGN KEY (`Usuarios_idUsuario`)
    REFERENCES `mydb`.`Usuarios` (`idUsuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
